Foreman - Bug #295

This YAML generates a 500 error when trying to send over http.
06/01/2010 07:34 PM - Bash Shell

Status: Closed

Priority: Normal

Assignee: Ohad Levy

Category: Importers

Target version: 0.1-5

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

File is attached.

/usr/local/foredevJunl/extras/puppet/foreman/files/push_facts.rb:34:

an: wrong Content-Length format (RuntimeError)

Could not send facts to Forem

from /usr/local/foredevJunl/extras/puppet/foreman/files/push_facts.rb:26:in “each'
from /usr/local/foredevJunl/extras/puppet/foreman/files/push_facts.rb:26

The rake task seems to import this OK.

Associated revisions

Revision 895a7680 - 06/02/2010 08:34 AM - Ohad Levy
fixes #295 - This YAML generates a 500 error when trying to send over http

History

#1 - 06/01/2010 07:38 PM - Bash Shell

| think this is because the Host and or facts for it exist already and are un-changed?
If so, then a 500 error is not the best indication?
#2 - 06/02/2010 04:56 AM - Ohad Levy
Bash Shell wrote:
I think this is because the Host and or facts for it exist already and are un-changed?

If so, then a 500 error is not the best indication?

that should not be the case, 500 should indicate a problem saving the facts, I'll investigate

#3 - 06/02/2010 08:43 AM - Ohad Levy
- Status changed from New to Ready For Testing
- % Done changed from 0 to 100

Applied in changeset 895a7680b4765a509637d886af640ae44af91fee.

#4 - 06/02/2010 08:46 AM - Ohad Levy
- Category set to Importers
- Assignee set to Ohad Levy

- Target version set to 0.1-5

#5 - 06/04/2010 12:24 AM - Bash Shell
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/895a7680b4765a509637d886af640ae44af91fee

This was because of an out dated mongrel gem.
I though of this when | got a similar error from the external nodes script.

| just ran gem update on this machine.

Sorry for the ticket...

| guess we can have something in the FAQ about checking mongrel/other gems which might affect http .

#6 - 06/04/2010 03:03 AM - Ohad Levy
- Status changed from Ready For Testing to Closed

would you mind adding your experiences to the troubleshooting section?
